Index: pobysoPythonSage/src/sageSLZ/runSLZ-01.sage
===================================================================
--- pobysoPythonSage/src/sageSLZ/runSLZ-01.sage	(revision 191)
+++ pobysoPythonSage/src/sageSLZ/runSLZ-01.sage	(revision 192)
@@ -328,61 +328,63 @@
                     for tRoot in tRootsList:
                         reducedPolynomialsRootsSet.add((iRoot[0], tRoot[0]))
         # End of roots computation
-    ## Prepare for results.
-    intervalResultsList = []
-    intervalResultsList.append((lb, ub))
-    ## Check roots.
-    rootsResultsList = []
-    rootsComputationTime        = cputime()
-    for root in reducedPolynomialsRootsSet:
-        specificRootResultsList = []
-        failingBounds = []
-        intIntPdivN = intIntP(root[0], root[1]) / N
-        if int(intIntPdivN) != intIntPdivN:
-            continue # Next root
-        # Root qualifies for modular equation, test it for hardness to round.
-        hardToRoundCaseAsFloat = RRR((icAsInt + root[0]) / toIntegerFactor)
-        #print "Before unscaling:", hardToRoundCaseAsFloat.n(prec=precision)
-        #print scalingFunction
-        scaledHardToRoundCaseAsFloat = scalingFunction(hardToRoundCaseAsFloat) 
-        print "Candidate HTRNc at x =", scaledHardToRoundCaseAsFloat.n().str(base=2),
-        if slz_is_htrn(scaledHardToRoundCaseAsFloat,
-                       f,
-                       2^-(targetHardnessToRound),
-                       RRR):
-            print hardToRoundCaseAsFloat, "is HTRN case."
-            if lb <= hardToRoundCaseAsFloat and hardToRoundCaseAsFloat <= ub:
-                print "Found in interval."
-            else:
-                print "Found out of interval."
-            specificRootResultsList.append(hardToRoundCaseAsFloat.n().str(base=2))
-            # Check the root is in the bounds
-            if abs(root[0]) > iBound or abs(root[1]) > tBound:
-                print "Root", root, "is out of bounds."
-                if abs(root[0]) > iBound:
-                    print "root[0]:", root[0]
-                    print "i bound:", iBound
-                    failingBounds.append('i')
-                    failingBounds.append(root[0])
-                    failingBounds.append(iBound)
-                if abs(root[1]) > tBound:
-                    print "root[1]:", root[1]
-                    print "t bound:", tBound
-                    failingBounds.append('t')
-                    failingBounds.append(root[1])
-                    failingBounds.append(tBound)
-            if len(failingBounds) > 0:
-                specificRootResultsList.append(failingBounds)
-        else: # From slz_is_htrn...
-            print "is not an HTRN case."
-        if len(specificRootResultsList) > 0:
-            rootsResultsList.append(specificRootResultsList)
-    rootsComputationsFullTime       =   cputime(rootsComputationTime)
-    rootsComputationsCount          +=  1
-    if len(rootsResultsList) > 0:
-        intervalResultsList.append(rootsResultsList)
-    ## An intervalResultsList has at least the bounds.
-    globalResultsList.append(intervalResultsList)   
+        ##### Prepare for results.
+        intervalResultsList = []
+        intervalResultsList.append((lb, ub))
+        #### Check roots.
+        rootsResultsList = []
+        rootsComputationTime        = cputime()
+        for root in reducedPolynomialsRootsSet:
+            specificRootResultsList = []
+            failingBounds = []
+            intIntPdivN = intIntP(root[0], root[1]) / N
+            if int(intIntPdivN) != intIntPdivN:
+                continue # Next root
+            # Root qualifies for modular equation, test it for hardness to round.
+            hardToRoundCaseAsFloat = RRR((icAsInt + root[0]) / toIntegerFactor)
+            #print "Before unscaling:", hardToRoundCaseAsFloat.n(prec=precision)
+            #print scalingFunction
+            scaledHardToRoundCaseAsFloat = \
+                scalingFunction(hardToRoundCaseAsFloat) 
+            print "Candidate HTRNc at x =", \
+                scaledHardToRoundCaseAsFloat.n().str(base=2),
+            if slz_is_htrn(scaledHardToRoundCaseAsFloat,
+                           f,
+                           2^-(targetHardnessToRound),
+                           RRR):
+                print hardToRoundCaseAsFloat, "is HTRN case."
+                if lb <= hardToRoundCaseAsFloat and hardToRoundCaseAsFloat <= ub:
+                    print "Found in interval."
+                else:
+                    print "Found out of interval."
+                specificRootResultsList.append(hardToRoundCaseAsFloat.n().str(base=2))
+                # Check the root is in the bounds
+                if abs(root[0]) > iBound or abs(root[1]) > tBound:
+                    print "Root", root, "is out of bounds."
+                    if abs(root[0]) > iBound:
+                        print "root[0]:", root[0]
+                        print "i bound:", iBound
+                        failingBounds.append('i')
+                        failingBounds.append(root[0])
+                        failingBounds.append(iBound)
+                    if abs(root[1]) > tBound:
+                        print "root[1]:", root[1]
+                        print "t bound:", tBound
+                        failingBounds.append('t')
+                        failingBounds.append(root[1])
+                        failingBounds.append(tBound)
+                if len(failingBounds) > 0:
+                    specificRootResultsList.append(failingBounds)
+            else: # From slz_is_htrn...
+                print "is not an HTRN case."
+            if len(specificRootResultsList) > 0:
+                rootsResultsList.append(specificRootResultsList)
+        rootsComputationsFullTime       =   cputime(rootsComputationTime)
+        rootsComputationsCount          +=  1
+        if len(rootsResultsList) > 0:
+            intervalResultsList.append(rootsResultsList)
+        #### An intervalResultsList has at least the bounds.
+        globalResultsList.append(intervalResultsList)   
         #### End loop flesh.
         #### Compute an incremented width for next upper bound, only
         #    if not Coppersmith condition nor resultant condition
@@ -463,8 +465,8 @@
 precision = 53
 RRR = RealField(precision)
 run_SLZ_v01(inputFunction=func, 
-            inputLowerBound = 1/4, 
-            inputUpperBound = RRR(1/2) - RRR(1/4).ulp(), 
+            inputLowerBound = 6/16, 
+            inputUpperBound = 7/16, 
             alpha = 2, 
             degree = 10, 
             precision = 53, 
@@ -472,3 +474,5 @@
             emax = 1023, 
             targetHardnessToRound =  precision+50, 
             debug = True)
+
+#inputUpperBound = RRR(1/2) - RRR(1/4).ulp(), 
